ResourceCategory (VRE Definition Portlet 5.1.0-SNAPSHOT API)
Date: 2019-07-29

org.gcube.portlets.admin.vredefinition.shared

## Class ResourceCategory

- java.lang.Object
- - org.gcube.portlets.admin.vredefinition.shared.ResourceCategory

- All Implemented Interfaces:
    Serializable

      public class ResourceCategory
      extends Object
      implements Serializable

  A resource category class element.
  Author:
    Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceCategory()` needed for serialization
    `ResourceCategory(String id, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `ArrayList<Resource>` | `getItems()`
    `String` | `getName()`
    `void` | `setId(String id)`
    `void` | `setItems(ArrayList<Resource> items)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceCategory

          public ResourceCategory()

      needed for serialization

    - #### ResourceCategory

          public ResourceCategory(String id,
                                  String name)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getItems

          public ArrayList<Resource> getItems()

    - #### setItems

          public void setItems(ArrayList<Resource> items)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All Rights Reserved.